Loading...
Searching...
No Matches
Opm::Parameters::Parameter Struct Reference

A struct holding the key-value pair for a parameter. More...

`#include <parametersystem.hpp>`

## Public Member Functions

| Parameter (const std::string &k, const std::string &v)
bool | operator== (const Parameter &setting) const
bool | operator!= (const Parameter &setting) const

## Public Attributes

std::string | key
std::string | value

## Friends

std::ostream & | operator<< (std::ostream &os, const Parameter &param)

## Detailed Description

A struct holding the key-value pair for a parameter.

The documentation for this struct was generated from the following file:

- opm/models/utils/parametersystem.hpp